Bug 1318534 - [RFE] Puppet classes inherited from a parent should indicate which one
Summary: [RFE] Puppet classes inherited from a parent should indicate which one
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.1.6
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Sebastian Gräßl
QA Contact: Ondřej Pražák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-17 07:31 UTC by Prakash Ghadge
Modified: 2021-03-11 14:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:34:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Form indicating the source of puppet classes (24.62 KB, image/png)
2017-08-09 10:55 UTC, Ondřej Pražák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 14714 0 None None None 2016-06-02 15:37:42 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Prakash Ghadge 2016-03-17 07:31:11 UTC
1. Proposed title of this feature request  
    -  [RFE ]Puppet classes inherited from a parent should indicate which one 
      
    3. What is the nature and description of the request? 
    -   The existing host inherits puppet classes from a host group hierarchy.  It would be helpful if the webui indicated the source of the inherited class.

For example, /hosts/hostname.example.com/edit -> Puppet Classes

The Included Classes column gives not hint about the source of the included classes. 

The tooltip is "Already included from parent".
Could the module name be converted into a link to the parent resource?
 
      
    4. Why does the customer need this? (List the business requirements here)  
      
    5. How would the customer like to achieve this? (List the functional requirements here)  
      
    6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
      
    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
      
    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
      
    9. Is the sales team involved in this request and do they have any additional input?  
    -  NO
      
    10. List any affected packages or components.  
      
    11. Would the customer be able to assist in testing this functionality if implemented?  
    -  Yes

Comment 2 Bryan Kearney 2016-04-19 17:48:52 UTC
Created redmine issue http://projects.theforeman.org/issues/14714 from this bug

Comment 3 Bryan Kearney 2016-06-02 15:37:40 UTC
Connecting redmine issue http://projects.theforeman.org/issues/14714 from this bug

Comment 4 Bryan Kearney 2016-06-02 16:14:42 UTC
Upstream bug component is Provisioning

Comment 6 Bryan Kearney 2016-08-10 19:15:25 UTC
Upstream bug component is Configuration Management

Comment 7 Bryan Kearney 2016-08-10 20:16:30 UTC
Upstream bug component is Provisioning

Comment 8 Bryan Kearney 2016-08-10 22:16:07 UTC
Upstream bug component is Puppet

Comment 9 pm-sat@redhat.com 2017-01-05 15:53:51 UTC
Upstream bug assigned to sgraessl@redhat.com

Comment 10 pm-sat@redhat.com 2017-01-05 15:53:54 UTC
Upstream bug assigned to sgraessl@redhat.com

Comment 11 pm-sat@redhat.com 2017-01-12 17:01:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/14714 has been resolved.

Comment 12 Ondřej Pražák 2017-08-09 10:55:51 UTC
Created attachment 1311165 [details]
Form indicating the source of puppet classes

Verified.

Sat-6.3.0 snap 10

Comment 15 errata-xmlrpc 2018-02-21 12:34:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.